Subject: bug#39189: 26.2; recentf should save the list periodically

From: ndame <[email-masked]>
Date: Sun, 19 Jan 2020 10:16:12 +0000 (GMT)

Currently, recentf saves the recentf list only when emacs exits. Sometimes,
when emacs crashes I lose recently opened files from the list, because
the list is not saved periodically.

Emacs should save the list every 10 minutes or so when the user is idle, so
the recentf list is preserved even if there is a crash.